Subject: Re: [NETFILTER] sip: Fix RTP address NAT

From: Patrick McHardy <[email-masked]>
Date: Wed, 02 May 2007 15:19:21 +0200

Herbert Xu wrote:
> [NETFILTER] sip: Fix RTP address NAT
> 
> I needed to use this recently to talk to a Cisco server.  In my case
> I only did SNAT while the Cisco server used a different address for
> RTP traffic than the one for SIP.  I discovered that nf_nat_sip NATed
> the RTP address to the SIP one which was unnecessary but OK.  However,
> in doing so it did not DNAT the destination address on the RTP traffic
> to the Cisco back to the original RTP address.
> 
> This patch corrects this by noting down the RTP address and using it
> when the expectation fires.

Applied, thanks a lot Herbert. My last attempt at fixing this resulted
in a patch that was too ugly to live :)